Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class ManagedConnectionFactoryImpl

    java.lang.Object
      |
      +--com.solarmetric.kodo.conf.DefaultConfiguration
            |
            +--com.solarmetric.kodo.conf.SimpleConfiguration
                  |
                  +--com.solarmetric.kodo.impl.jdbc.JDBCSimpleConfiguration
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ee.EESimpleConfiguration
                              |
                              +--com.solarmetric.kodo.impl.jdbc.ee.ManagedConnectionFactoryImpl

All Implemented Interfaces:
  BeanInfo, Cloneable, Configuration, EEConfiguration, EEConfiguration, JDBCConfiguration, ManagedConnectionFactory, Serializable

public class ManagedConnectionFactoryImpl
extends EESimpleConfiguration
implements ManagedConnectionFactory

See Also:
  Serialized Form

Fields inherited from class com.solarmetric.kodo.conf.SimpleConfiguration
`BASIC_OPTION, EXPERT_OPTION, TYPE_CONNECTING, TYPE_GENERAL, TYPE_JDO, TYPE_OPTIMIZATION`

Fields inherited from interface com.solarmetric.kodo.impl.jdbc.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Fields inherited from interface com.solarmetric.kodo.conf.Configuration
`LOG_CACHE, LOG_CONF, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`ManagedConnectionFactoryImpl()`

Method Summary
`Object` | `createConnectionFactory()`
`Object` | `createConnectionFactory(ConnectionManager cxManager)`
`ManagedConnection` | `createManagedConnection(Subject subject, ConnectionRequestInfo cri)`
`boolean` | `equals(Object other)` Performs the equality check based on set property values from `DefaultConfiguration.toProperties()`.
`PrintWriter` | `getLogWriter()`
`int` | `hashCode()` Computes hash code based on set property values from `DefaultConfiguration.toProperties()`.
`ManagedConnection` | `matchManagedConnections(Set connections, Subject subject, ConnectionRequestInfo cri)`
`void` | `setLogWriter(PrintWriter logWriter)`
`void` | `write(PrintStream out)`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ee.EESimpleConfiguration
`getManagedRuntime, getManagedRuntimeClass, getManagedRuntimeProperties, setManagedRuntime, setManagedRuntimeClass, setManagedRuntimeProperties`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.JDBCSimpleConfiguration
`getConnectionTestTimeout, getDefaultClassMappingClass, getDefaultPersistenceManagerFactoryClass, getDefaultSubclassProviderClass, getDefaultSubclassProviderProperties, getDictionary, getDictionaryClass, getDictionaryProperties, getFlatInheritanceMapping, getKnownConnectionURLList, getKnownDriverList, getSequenceFactory, getSequenceFactoryClass, getSequenceFactoryProperties, getSQLExecutionListener, getSQLExecutionListenerClass, getSQLExecutionManager, getSQLExecutionManagerClass, getStatementCacheMaxSize, getStatementExecutionTimeout, getSynchronizeSchema, getTransactionIsolation, getTransactionIsolationLevel, getUseBatchedStatements, getUsePreparedStatements, getWarnOnPersistentTypeFailure, loadProperties, setConnectionDriverName, setConnectionTestTimeout, setConnectionTestTimeout, setDefaultClassMappingClass, setDefaultSubclassProviderClass, setDefaultSubclassProviderProperties, setDictionary, setDictionaryClass, setDictionaryProperties, setFlatInheritanceMapping, setFlatInheritanceMapping, setProperties, setSequenceFactory, setSequenceFactoryClass, setSequenceFactoryProperties, setSQLExecutionListenerClass, setSQLExecutionManager, setSQLExecutionManagerClass, setStatementCacheMaxSize, setStatementCacheMaxSize, setStatementExecutionTimeout, setStatementExecutionTimeout, setSynchronizeSchema, setSynchronizeSchema, setTransactionIsolation, setUseBatchedStatements, setUseBatchedStatements, setUsePreparedStatements, setUsePreparedStatements, setWarnOnPersistentTypeFailure, setWarnOnPersistentTypeFailure`

Methods inherited from class com.solarmetric.kodo.conf.SimpleConfiguration
`addValue, addValue, addValue, addValue, addValue, addValue, getAdditionalBeanInfo, getBeanDescriptor, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultEventIndex, getDefaultFetchBatchSize, getDefaultFetchThreshold, getDefaultPropertyIndex, getEnableQueryExtensions, getEventSetDescriptors, getIcon, getIgnoreCache, getLicenseKey, getMaxPool, getMethodDescriptors, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getPropertyDescriptors, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryFilterListeners, getRestoreValues, getRetainValues, getUseSoftTransactionCache, getValues, initDefaults, setCacheReferenceSize, setCacheReferenceSize, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryFilterListeners, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseSoftTransactionCache, setUseSoftTransactionCache`

Methods inherited from class com.solarmetric.kodo.conf.DefaultConfiguration
`checkFrozen, clone, configurationClone, freeze, fromProperties, getLog, isFrozen, loadDefaults, toProperties`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.JDBCConfiguration
`getConnectionTestTimeout, getDefaultClassMappingClass, getDefaultSubclassProviderClass, getDefaultSubclassProviderProperties, getDictionary, getDictionaryClass, getDictionaryProperties, getFlatInheritanceMapping, getSequenceFactory, getSequenceFactoryClass, getSequenceFactoryProperties, getSQLExecutionListener, getSQLExecutionListenerClass, getSQLExecutionManagerClass, getStatementCacheMaxSize, getStatementExecutionTimeout, getSynchronizeSchema, getTransactionIsolation, getTransactionIsolationLevel, getUseBatchedStatements, getUsePreparedStatements, getWarnOnPersistentTypeFailure, setConnectionTestTimeout, setConnectionTestTimeout, setDefaultClassMappingClass, setDefaultSubclassProviderClass, setDefaultSubclassProviderProperties, setDictionary, setDictionaryClass, setDictionaryProperties, setFlatInheritanceMapping, setFlatInheritanceMapping, setSequenceFactory, setSequenceFactoryClass, setSequenceFactoryProperties, setSQLExecutionListenerClass, setSQLExecutionManagerClass, setStatementCacheMaxSize, setStatementCacheMaxSize, setStatementExecutionTimeout, setStatementExecutionTimeout, setSynchronizeSchema, setSynchronizeSchema, setTransactionIsolation, setUseBatchedStatements, setUseBatchedStatements, setUsePreparedStatements, setUsePreparedStatements, setWarnOnPersistentTypeFailure, setWarnOnPersistentTypeFailure`

Methods inherited from interface com.solarmetric.kodo.conf.Configuration
`clone, configurationClone, freeze, fromProperties, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultFetchBatchSize, getDefaultFetchThreshold, getEnableQueryExtensions, getIgnoreCache, getLicenseKey, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryFilterListeners, getRestoreValues, getRetainValues, getUseSoftTransactionCache, isFrozen, setCacheReferenceSize, setCacheReferenceSize, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryFilterListeners, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseSoftTransactionCache, setUseSoftTransactionCache, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Constructor Detail

### ManagedConnectionFactoryImpl

    public ManagedConnectionFactoryImpl()

Method Detail

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`

### createConnectionFactory

    public Object createConnectionFactory(ConnectionManager cxManager)
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`

### createManagedConnection

    public ManagedConnection createManagedConnection(Subject subject,
                                                     ConnectionRequestInfo cri)
                                              throws NotSupportedException,
                                                     ResourceException

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`

### matchManagedConnections

    public ManagedConnection matchManagedConnections(Set connections,
                                                     Subject subject,
                                                     ConnectionRequestInfo cri)
                                              throws NotSupportedException,
                                                     ResourceException

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`

### write

    public void write(PrintStream out)

### setLogWriter

    public void setLogWriter(PrintWriter logWriter)

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`

### getLogWriter

    public PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`

### hashCode

    public int hashCode()

  Description copied from class: `DefaultConfiguration`
  Computes hash code based on set property values from `DefaultConfiguration.toProperties()`.
  Specified by:
    `hashCode` in interface `ManagedConnectionFactory`
  Overrides:
    `hashCode` in class `DefaultConfiguration`

### equals

    public boolean equals(Object other)

  Description copied from class: `DefaultConfiguration`
  Performs the equality check based on set property values from `DefaultConfiguration.toProperties()`.
  Specified by:
    `equals` in interface `ManagedConnectionFactory`
  Overrides:
    `equals` in class `DefaultConfiguration`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.